/* ==========================
   BGW Wrapper
========================== */
.bgw-wrapper {
    background: linear-gradient(180deg, #CB0001 0%, #820101 100%);
    color: var(--bgw-txt, #fff);
    padding: 10px;
    border-radius: var(--bgw-radius, 10px);
    width: auto;
    box-shadow: 0 0px 20px 0px rgb(185, 0, 1, 64%);
    font-family: system-ui, -apple-system, Segoe UI, Roboto, sans-serif;
}
.bgw-title {
    font-size: clamp(14px, 3vw, 10px);
    font-weight: 500;
    text-align: center;
    margin-bottom: 10px;
}
.bgw-form {
    position: relative;
    display: flex;
    gap: 8px;
    background: var(--bgw-input, #1e1e1e);
    border-radius: 5px;
    padding: 6px;
    height: 25px;
    border: 1px solid rgba(0, 0, 0, 0.4);
    margin: 0;
}
.bgw-input {
    flex: 1;
    background: transparent;
    border: 0;
    outline: 0;
    color: #ddd;
    font-size: 14px;
}
.bgw-input::placeholder { color: #9a9a9a; }
.bgw-btn {
    width: 25px;
    height: 25px;
    display: grid;
    place-items: center;
    background: var(--bgw-btn, #8b0000);
    border: 0;
    border-radius: 5px;
    cursor: pointer;
    transition: 0.2s;
}
.bgw-btn:hover { filter: brightness(1.15); }
.bgw-suggestions {
    position: absolute;
    top: 100%;
    left: 0;
    right: 0;
    display: none;
    overflow: hidden;
    z-index: 99;
    background: rgba(0, 0, 0, 0.8);
    border: 2px solid rgba(0, 0, 0, 0.8);
    backdrop-filter: blur(10px);
    transition: background-color 0.3s ease, backdrop-filter 0.3s ease;
    border-radius: 0 0 12px 12px;
}
.bgw-suggestions.active { display: block; }
.bgw-sug-item {
    display: flex;
    align-items: center;
    gap: 10px;
    padding: 12px 10px;
    color: #eee;
    text-decoration: none;
    cursor: pointer;
}
.bgw-sug-item:hover { background: #222; }
.bgw-sug-item img {
    width: 35px;
    height: 35px;
    object-fit: cover;
    border-radius: 6px;
}
/* ==========================
   Anúncio Horizontal
========================== */
form button {padding: 0px 2px 0 1px; }

@media (min-width: 1024px) {
.bgw-wrapper {
width: 98%;
}
}